List Podcasts by Publication URL
This endpoint returns a paginated list of podcasts. For GET requests, it returns the base podcast list. For POST requests, if the JSON body contains a ‘url’ parameter (representing the publication’s custom URL), the view will filter the podcasts to return only those whose ‘owner’ matches the Publication owner’s user. If the ‘url’ parameter is omitted, the full list is returned.
Query parameters
category
created_after
created_before
description
focus_area
generation_status
Current status of podcast generation process
* `not_started` - Not Started
* `generating_script` - Generating Script
* `script_generated` - Script Generated
* `generating_audio` - Generating Audio
* `completed` - Completed
* `failed` - Failed
is_draft
knowledge_level
Target knowledge level for the podcast audience
* `beginner` - Beginner
* `intermediate` - Intermediate
* `advanced` - Advanced
* `expert` - Expert
Allowed values:
max_length
min_length
page
A page number within the paginated result set.
page_size
Number of results to return per page.
publication
subcategory
title
visibility
voice_type
Response
A paginated list of podcasts. If a 'url' is provided in the POST body, only podcasts created by the corresponding Publication owner are returned.
count
results
next
previous
Errors
400
Bad Request Error
401
Unauthorized Error

